Can't install Epson WF-3640 printer(SOLVED)

Forum rules
Before you post please read this
dduran1210
Level 1
Level 1
Posts: 48
Joined: Thu Nov 15, 2012 11:47 am

Can't install Epson WF-3640 printer(SOLVED)

Postby dduran1210 » Sun May 07, 2017 10:48 pm

hello, i just installed mint 17.3 XFCE 64bit and tried to install my printer. It sees my printer and shows the driver Epson-escpr ... but it hangs and freezes and won't install. I went to Epson, got the download page...downloaded the driver..opened with deb option..got error message i have broken dependencies....ok, tells me how to fix in terminal...run "sudo apt-get install -f " ....did that and did not work, got last line says: E: Sub-process /usr/bin/dpkg returned an error code (1). So then i try the synaptic package and run the "fix broken packages" says i have 3 broken packages libc6-dbg, libc6-dev, and libc6-i386. i check each to re-install and apply. Now i get another error occurred message: E:Internal Error,No file name for libc6-i386:amd64.

Can anyone help me with this? I have not been able to find one single mint download that i could verify with sha1sum....not one !
and this version xfce is the ONLY one that would even install on my computer. geez! I tried 9 different versions of mint.
Last edited by dduran1210 on Sat May 27, 2017 9:47 pm, edited 1 time in total.

pdc_2
Level 7
Level 7
Posts: 1913
Joined: Mon May 11, 2009 1:21 am

Re: Can't install Epson WF-3640 printer

Postby pdc_2 » Mon May 08, 2017 1:51 am

sorry to hear of all your troubles; a tangled web.

If I was installing the 3640, I would start here http://download.ebz.epson.net/dsc/searc ... ch/?OSC=LX and entering 3640 , Epson say the epson-inkjet-printer-escpr_1.6.13-1lsb3.2_amd64.deb is what is needed:

is that what you downloaded to install: when one clicks to download, there is a SAVE option or an OPEN option; selecting the OPEN option, one can select gdebi package installer if it is not already selected; and use that so the install should just go ahead;

___________

I note you say

Code: Select all

E:Internal Error,No file name for libc6-i386:amd64.
.. that surprises me as the libc6 seems to exist in two forms: libc6 and libc6-i386 with no mention of the hybrid you quote .. I note our Mint 18.1 has both installed.

I do now see in synaptic the file libc6-dev-amd64:i386 so maybe that is the one your system is unhappy with; as well as the other ones it is unhappy with;

if you COPY the command
dpkg -l epson-inkjet-printer*
and paste it into a terminal, it will tell us what is installed; the -l is small case L and stands for LIST ........

_______
I tried 9 different versions of mint.
gosh, sorry to hear of such trouble: I have done 3 Mint installs recently; and all went fine; they were of 18.1 which is the current one;

dduran1210
Level 1
Level 1
Posts: 48
Joined: Thu Nov 15, 2012 11:47 am

Re: Can't install Epson WF-3640 printer

Postby dduran1210 » Mon May 08, 2017 9:25 pm

Hi and thanks for answering! First, yes that was the exact escpr i dowloaded and tried to install , BOTH the deb AND the rpm packages.
did BOTH save and then OPEN methods. lol. would not take either. In synaptic, you select one and the other two are automatically added to re-install or remove. But would not fix any. got that error message.

ok, copied your command and here's what the terminal said: dpkg-query: no packages found matching epson-inkjet-printer

soooo...i tried the routine again ran the deb pkg...error message, ran synaptic, broken pkgs...error message : E:Internal Error,No file name for libc6-i386:amd64.
and yes, i kid you not...i could not find one single version of mint that i could verify with sha1sums. and i downloaded all the 18.1 flavors of mint. I believe people are downloading and NOT verifying the downloads and just installing the software and it works for them...lol.
we're all downloading and verifying with the same sha1sum.txt files...so how can they be getting their download verified and i cannot???

anyway, here's good news ! after posting here, i went and downloaded a previous version of Xfce version 17.2 and guess what?
I was finally able to find one that the sha1sums matched!! lol. and it installed and it even found and installed my Epson printer !!

so with that...I am removing the mint 17.3 program and going with what works ! lol.

thanks for your help. I really appreciate it. May not have to go back to windows 7 after all....lol.

pdc_2
Level 7
Level 7
Posts: 1913
Joined: Mon May 11, 2009 1:21 am

SOLVED: Epson WF-3640 printer

Postby pdc_2 » Mon May 08, 2017 10:29 pm

phew; what a struggle; glad you now have a printer that works!

well at least 17.2 is supported for another 2 years; so you have till 2019 on it;

I think ubuntu 18.04 will be their next long-term release; so maybe June-July 2018 will be the next big version of Mint; so you can always have a look at that then;

____________

If you go back to your initial post; and change the title to SOLVED: I know it is not a classical solve; but it is working

dduran1210
Level 1
Level 1
Posts: 48
Joined: Thu Nov 15, 2012 11:47 am

Re: Can't install Epson WF-3640 printer

Postby dduran1210 » Sun May 14, 2017 1:22 am

well, i thought i had this fixed....wrong! I read online, that i had to go to http:/localhost:631 & install thru cups.
I found the printer there and installed it according to instructions. But test print gives me error "filter failed". I went back to
epson, downloaded the 64bit deb file...installed it. Still says "filter failed". so i went back and did a search for epson-escpr-wrapper and
got this path:

/home/dave/Desktop/#1 EPSON DRIVER FILES MAY 12, 2017/epson-inkjet-printer-escpr/cups/lib/filter/epson-escpr-wrapper

this got installed wrong, it seems. How can i fix this ? anyone ?

thank you for your help.

Dave

takeedge
Level 1
Level 1
Posts: 1
Joined: Tue May 23, 2017 2:12 pm

Re: Can't install Epson WF-3640 printer

Postby takeedge » Tue May 23, 2017 3:20 pm

HI

are you installed printer drivers with out any mistake? if installed properly, please check settings at /etc/apt/preferences, there you have to select usb.

DeMus
Level 6
Level 6
Posts: 1029
Joined: Sat Aug 15, 2009 5:11 pm

Re: Can't install Epson WF-3640 printer

Postby DeMus » Tue May 23, 2017 3:47 pm

I have a different Epson printer, an XP-530, and I am using the Gutenprint driver. Gutenprint is a set of printer drivers to use with The Gimp program to print out pictures. It does not only work on The Gimp, it can also print from within other programs, every program.
It should be in the repo's. I am not using Mint so I am not totally sure about that.
Even when your printer is not among the Epson printers in the long Gutenprint list, you can always use another printer from the same group. (in your case the WF group)
When I use the ESCPR drivers I am stuck with 360 dpi while my Epson can print at 5760x2880 dpi. With the Gutenprint driver I can use that to make the most beautiful printouts.
As said I don't use Mint but you could have a try and maybe others here can help you with it.

dduran1210
Level 1
Level 1
Posts: 48
Joined: Thu Nov 15, 2012 11:47 am

Re: Can't install Epson WF-3640 printer

Postby dduran1210 » Fri May 26, 2017 9:17 pm

ok, I thought i would just try a different approach.lol. I installed Mint 18.1 Cinnamon 64bit. Everything works fine EXCEPT this dang Epson Printer I just bought a few months ago.

I downloaded the printer driver from Epson. Won't install properly..missing dependencies. tried again..same thing. so from the downloads..i extracted the ppd file and went to cups

and it shows the printer on my network. I installed it. went to the menu in mint...selected printers...it shows up...with an exclamation point. I open it and get this error message:

"Idle - File "/usr/lib/cups/filter/epson-escpr-wrapper" not available: No such file or directory " Back to square one....can't find anyone who knows how to install this epson-excpr-wrapper.

maybe someone here can help ?

thanks

pdc_2
Level 7
Level 7
Posts: 1913
Joined: Mon May 11, 2009 1:21 am

Re: Can't install Epson WF-3640 printer

Postby pdc_2 » Fri May 26, 2017 9:25 pm

sorry to hear of your continuing troubles; when you say
Won't install properly..missing dependencies.
..... can you tell us what dependencies are missing please?

so what does

Code: Select all

dpkg -l epson*
give if you COPY that; and paste it into a terminal please; to paste into a terminal, please right-click at the text prompt; and when the small menu appears, select "paste" from the options; that is asking your computer to LIST all the files with epson in their title ......

can you also paste this command

Code: Select all

cd Downloads
and then

Code: Select all

ls
and then paste back what you get: it asks your computer to list the contents of your Downloads directory; so we can see the file "landed" in the right place

so again if I was looking for drivers, for the WF-3640 I would start here http://download.ebz.epson.net/dsc/searc ... ch/?OSC=LX and when I enter WF-3640 I end up here http://download.ebz.epson.net/dsc/du/02 ... 2fc58077f2 which is the generic Epson driver that covers so many of the devices; and you would need epson-inkjet-printer-escpr_1.6.13-1lsb3.2_amd64.deb

dduran1210
Level 1
Level 1
Posts: 48
Joined: Thu Nov 15, 2012 11:47 am

Re: Can't install Epson WF-3640 printer

Postby dduran1210 » Fri May 26, 2017 11:56 pm

hi ok:

Code: Select all

dave@primary-cinnamon ~ $ dpkg -l epson*
dpkg-query: no packages found matching epson*
dave@primary-cinnamon ~ $ cd Downloads
dave@primary-cinnamon ~/Downloads $ ls
epson-inkjet-printer-escpr_1.6.13-1lsb3.2_amd64.deb
epson-inkjet-printer-escpr-1.6.13-1lsb3.2.tar.gz
epson-printer-utility_1.0.2-1lsb3.2_amd64.deb
iscan-bundle-1.0.4.x64.deb
iscan-bundle-1.0.4.x64.deb.tar.gz

i have the correct deb file. but when i run it i get error msg : "your system has broken dependencies. to fix it, run gksudo synaptic or sudo apt-get install -f .
Now....Synaptic says: 2 broken pkgs -use broken filter, which shows: lib6-dbg 2.23 Obuntu latest version...and lib6-dev 2.23 latest version.
so i ran the Reinstall for them and got error message: E Internal error, no file name for Lib6-dbg:amd64.

checking in cups, the printer message says: File "/usr/lib/cups/filter/epson-escpr-wrapper" is not available: no such file or directory.

that's where i came to a deadend again. and again and again.

pdc_2
Level 7
Level 7
Posts: 1913
Joined: Mon May 11, 2009 1:21 am

Re: Can't install Epson WF-3640 printer

Postby pdc_2 » Sat May 27, 2017 12:25 am

so the message you get is

Code: Select all

"your system has broken dependencies. to fix it, run gksudo synaptic or sudo apt-get install -f .


it might be good to run the command the system recommends:

Code: Select all

sudo apt-get install -f


this command featured in this thread viewtopic.php?f=51&t=242497 and you can see in posts such as post #7 where it was used

I guess I am sort of surprised that when you have just installed? the Mint 18.1 that you are getting these reports of broken dependencies
I installed Mint 18.1 Cinnamon 64bit
......... was that an upgrade you did?

if we see if the above command helps; if not, perhaps we think of recommending you open a new thread on the install/upgrades sub-forum to get advice on getting all your dependencies sorted

dduran1210
Level 1
Level 1
Posts: 48
Joined: Thu Nov 15, 2012 11:47 am

Re: Can't install Epson WF-3640 printer

Postby dduran1210 » Sat May 27, 2017 1:05 am

please read my reply again, i DID run the sudo install -f AND the synaptic.

and no, the cinnamon install was a clean install.

pdc_2
Level 7
Level 7
Posts: 1913
Joined: Mon May 11, 2009 1:21 am

Re: Can't install Epson WF-3640 printer

Postby pdc_2 » Sat May 27, 2017 1:23 am

my apologies; it was not clear to me;

if you do the

Code: Select all

cd Downloads
and then

Code: Select all

ls
, can you paste what is in the Downloads directory please?

dduran1210
Level 1
Level 1
Posts: 48
Joined: Thu Nov 15, 2012 11:47 am

Re: Can't install Epson WF-3640 printer

Postby dduran1210 » Sat May 27, 2017 9:41 pm

oops, sorry i took so long to get back, but i just gave up on cinnamon. Way too much time fighting with this thing soooo.....
I just uninstalled it and decided to try again maybe in the next upgrade when it comes along.
Am going to sell this Epson printer although it works perfect, only a few monthes old but I can't install it on ANY
LINUX OS. I mean not on ANY LINUX DISTRO! Geez. The Epson Drivers just don't work on Linux , i don't
care what anybody says. I tried on 9 different distros. Enough already. Going back to HP Printers. No hassles
with those printers. lol.

thanks for your help anyway.

Weskul
Level 1
Level 1
Posts: 2
Joined: Sun Jun 04, 2017 8:20 am

Re: Can't install Epson WF-3640 printer

Postby Weskul » Sun Jun 04, 2017 10:28 am

Same problem here. I will have to use win10 to print. I will wait for different release of any OS which is going to support my printer. too bad , I really like Linux mint

pdc_2
Level 7
Level 7
Posts: 1913
Joined: Mon May 11, 2009 1:21 am

Re: Can't install Epson WF-3640 printer(SOLVED)

Postby pdc_2 » Sun Jun 04, 2017 5:46 pm

Hi Weskul

we would want to help you: please, please start a new thread; tell us what version of Mint you are using; what printer you have;

prasanthdas
Level 1
Level 1
Posts: 1
Joined: Wed Nov 15, 2017 11:19 am

Re: Can't install Epson WF-3640 printer

Postby prasanthdas » Wed Nov 15, 2017 10:17 pm

pdc_2 wrote:sorry to hear of your continuing troubles; when you say
Won't install properly..missing dependencies.
..... can you tell us what dependencies are missing please?

so what does

Code: Select all

dpkg -l epson*
give if you COPY that; and paste it into a terminal please; to paste into a terminal, please right-click at the text prompt; and when the small menu appears, select "paste" from the options; that is asking your computer to LIST all the files with epson in their title ......

can you also paste this command

Code: Select all

cd Downloads
and then

Code: Select all

ls
and then paste back what you get: it asks your computer to list the contents of your Downloads directory; so we can see the file "landed" in the right place

so again if I was looking for Epson WF-3640 driver, I would start here http://download.ebz.epson.net/dsc/searc ... ch/?OSC=LX and when I enter WF-3640 I end up here http://download.ebz.epson.net/dsc/du/02 ... 2fc58077f2 which is the generic Epson driver that covers so many of the devices; and you would need epson-inkjet-printer-escpr_1.6.13-1lsb3.2_amd64.deb


thank u for solving my Epson WF-3640 driver issue this page helped me to sort the issue


Return to “Printers & Scanners”